﻿using System.Web.Mvc;

namespace MvcAreas.App
{
    public class AreaViewEngine : WebFormViewEngine
    {
        public override ViewEngineResult FindView(ControllerContext controllerContext, string viewName, string masterName)
        {
            string areaName = controllerContext.RouteData.GetRequiredString("area");
            string controllerName = controllerContext.RouteData.GetRequiredString("controller");
            string path = string.Format("~/App/Views/{0}/{1}/{2}.aspx", areaName, controllerName, viewName);
            return new ViewEngineResult(CreateView(controllerContext, path, null), this);
        }
    }
}
